Page MenuHomePhabricator

RFC: input_panel functions on Efl.Ui.Text
Closed, InvalidPublic

Description

It's now time to decide what exactly we want when it comes to input_panel functionality on Efl.Ui.Text.

There are quite a bit of functions there. They look fine in principal, though I know you (@ali.alzyod) have both a lot of experience and have done a lot of research regarding other toolkits.

Would be great if you could go through the list of functions, properties and events starting with input_panel_ and give your input here as a basis for this discussion. Preferably sooner rather than later so we have the time to discuss. :)

tasn created this task.Sep 18 2019, 10:44 AM
ali.alzyod added a comment.EditedSep 18 2019, 11:51 PM

I have two notes:

1- We already have the 19 legacy function (input_panel) in the new interface

2- Is not this going to be part of raw_editable object?

tasn added a comment.Sep 19 2019, 12:12 AM
  1. Yeah, it's all in the new interface, I just copied it as is. Was hoping to get your input if anything needs to be different/added/removed.
  2. It is, I already fixed it in my branch. It's a separate interface and used on the raw editable class.
tasn added a comment.Sep 22 2019, 10:48 AM

Any comments?

We compare what we have with Android and IOS, I think we already have quite decent support, I think we will need to modify ecore to add additional support.

These are main points :

1- Other systems may have more/less returnKey types or keyboard types , but for major use we already support bask types

For example keyboard   missing  WebSearch, ASCII, Twitter, NumberPassword, PostalCode, .. etc
For example ReturnKey  missing  Google, Join, Previous, .. etc

2- FullScreen Panel Support is missing
3- OnReturn Key click event is missing

tasn added a comment.Sep 23 2019, 12:44 PM
  1. We can always add more types in the future, so it's not a burning issue.
  1. What's that?
  1. Add it then. Is it possible to implement?
ali.alzyod added a comment.EditedOct 1 2019, 4:05 AM

@woohyun @tasn
I think we can stick with what we already have, in the previous EFL_UI_TEXT, since changes may need to be done on ecore level.
And what we already provided fair functionality for any user

What's that?

It is for showing edititng (keyboard+view) to fill the screen

tasn added a comment.Oct 2 2019, 12:09 AM

It's OK even to change the naming, we don't need to change functionality. Any naming changes suggestions?

I think it is fine

tasn closed this task as Invalid.Oct 3 2019, 12:15 AM

Moved discussion to T8298